﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ClothShopContracts.BindingModels;
using ClothShopContracts.SearchModels;
using ClothShopContracts.ViewModels;

namespace ClothShopContracts.BusinessLogicContracts
{
    public interface ITextileLogic
    {
        List<TextileViewModel>? ReadList(TextileSearchModel? model);
        TextileViewModel? ReadElement(TextileSearchModel model);
        bool Create(TextileBindingModel model);
        bool Update(TextileBindingModel model);
        bool Delete(TextileBindingModel model);
    }
}
