﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ClothShopDataModels.Enums;

namespace ClothShopDataModels.Models
{
    public interface IOrderModel : IId
    {
        int TextileId { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }

    }
}
