﻿using ClothShopDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;

namespace ClothShopDatabaseImplement
{
    public class ClothShopDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=firsovpk;Initial Catalog=ClothShopDataBase;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True"
                );
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Textile> Textiles { set; get; }
        public virtual DbSet<TextileComponent> TextileComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
    }
}